function Encargo() {
	const ZeedhiAPIConstructor = require('zeedhi-functional-test-api');
	const z = new ZeedhiAPIConstructor(browser, protractor);
	const Helper = require('teknisa-helper');
	const geral = new Helper.geral();
	const protractorHelper = require('protractor-helper');


	this.abrir = () => {
		z.component.menu.open();
		protractorHelper.waitForElementVisibility(element(by.css('.menu-overlay')));
		z.component.menu.clickByPath(['Parametrização', 'Documentos Fiscais',
			'Encargo']);
		geral.esperarLoading();
	};

	this.adicionar = (codigo, nome, tratamento, encargo) => {
		geral.clickAndFllField('CDENCARGO', codigo);
		geral.clickAndFllField('NMENCARGO', nome);
		geral.selectNative('IDENCARGO', tratamento);
		if (tratamento != 'Destacar Valor') {
			geral.searchAndClickGridField('NMENCARGONFE', encargo, 'NMENCARGONFE');
		}
	};

	this.editar = (nome, tratamento, encargo) => {
		geral.fillField('NMENCARGO', nome);
		geral.selectNative('IDENCARGO', tratamento);
		if (tratamento != 'Destacar Valor') {
			geral.clickLimparAutoComplete('NMENCARGONFE');
			geral.searchAndClickGridField('NMENCARGONFE', encargo, 'NMENCARGONFE');
		}
	};
}

module.exports = new Encargo();
